from typing import List


class EntityType:
    """
    EntityType

    This class represents a potential label that can be assigned to an entity mention

    --------

    PARAMS:

    id: str
        The TRENDnet id of the entity
    name: str
        The common name of the entity

    """

    def __init__(self, id: str, name: str, embedding: List[float] = None):
        self.id = id
        self.name = name
        self.embedding = embedding

    def __str__(self):
        return self.name + " (" + self.id + ")"
